
/*
 * This file was automatically generated using swig_doc.py.
 * 
 * Any changes to it will be lost next time it is regenerated.
 */




%feature("docstring") gnuradio::extras::blob_to_filedes::make "Make a blob to file descriptor block.

Read incoming blob messages and write to a file descriptor. Non-blob message values will be ignored by the block. An empty blob (length 0 bytes) tells the work to exit.

Args:
    fd : the already open file descriptor
    close_fd : true to close the fd on deconstruction"

%feature("docstring") gnuradio::extras::blob_to_socket::make "Make a socket to message blob block.

The UDP socket will be connected to the server address and port. The TCP socket will be connected to the server address and port. The remote server socket should be activated before this block.

This block reads incoming messages from the queue, and sends the blob contents into a UDP socket. Non-blob message values will be ignored by the block. An empty blob (length 0 bytes) tells the work to exit.

Args:
    proto : the protocol \"UDP\" or \"TCP\"
    addr : the resolvable server address of the UDP socket
    port : the resolvable server port of the UDP socket"

%feature("docstring") gnuradio::extras::blob_to_stream::make "Make a blob to stream block.

This block reads incoming messages from the queue, and copies the blob contents into the outgoing stream. Non-blob message values will be ignored by the block. An empty blob (length 0 bytes) tells the work to exit.

Args:
    item_size : the size of the output stream in bytes"

%feature("docstring") gnuradio::extras::delay::make "Make a new delay block.

Args:
    itemsize : "

%feature("docstring") gnuradio::extras::filedes_to_blob::make "Make a file descriptor to blob block.

Read packets/bytes from a file descriptor and post blob messages to the \"blob\" subscriber group.

Args:
    fd : the already open file descriptor
    mtu : the max bytes for a read, 0 for default
    close_fd : true to close the fd on deconstruction"

%feature("docstring") gnuradio::extras::socket_to_blob::make "Make a message blob to socket block.

The UDP socket will be bound to the specified addr/port. The TCP socket will listen on addr/port, and accept the first connection.

This block reads packets from a UDP socket, and posts blob messages to \"blob\" subscriber group.

Args:
    proto : the protocol \"UDP\" or \"TCP\"
    addr : the resolvable interface address of the UDP socket
    port : the resolvable interface port of the UDP socket
    mtu : the max bytes in an incoming packet, 0 for default"

%feature("docstring") gnuradio::extras::stream_selector::make "Make a new stream selector block

Args:
    in_sig : signature to describe inputs
    out_sig : signature to describe outputs"

%feature("docstring") gnuradio::extras::stream_to_blob::make "Make a stream to blob block.

This block reads bytes from the input stream, and posts blob messages to \"blob\" subscriber group.

Args:
    item_size : the size of the input stream in bytes
    mtu : the blob length in bytes, or zero for default"

%feature("docstring") gnuradio::extras::tuntap::make "Make a new TUN/TAP block.

Use the Universal TUN/TAP device driver to move packets to/from kernel See /usr/src/linux/Documentation/networking/tuntap.txt

Args:
    dev : the device name (depends on os, blank for automatic)"

%feature("docstring") gnuradio::extras::uhd_amsg_source::make "Make a new USRP asynchronous message-based source block.

The async message source will post messages to the \"async\" subscriber group. The key of each message will be the pmt symbol: \"uhd_amsg\" The value of each message will be a pmt dictionary with the following keys/values:

Args:
    device_addr : "









































%feature("docstring") gnuradio::extras::add_const::set_const "Set the value from any type."

%feature("docstring") gnuradio::extras::add_const::get_const "Get the constant value as a complex double."



%feature("docstring") gnuradio::extras::add_const_v::make_fc32_fc32 "Make an add const from type and const value. The length of value is the vector length of this block."















%feature("docstring") gnuradio::extras::add_const_v::set_const "Set the value from any vector type."

%feature("docstring") gnuradio::extras::add_const_v::get_const "Get the constant value as a vector of complex double."





%feature("docstring") gnuradio::extras::decim_fir::make_fc32_fc32_fc32 "Make a new FIR filter complex float input, taps, output type."

%feature("docstring") gnuradio::extras::decim_fir::make_f32_f32_f32 "Make a new FIR filter float input, taps, output type."

%feature("docstring") gnuradio::extras::decim_fir::set_taps "Set the taps for this FIR filter."

%feature("docstring") gnuradio::extras::decim_fir::get_taps "Get the taps set on this FIR filter."























































%feature("docstring") gnuradio::extras::multiply_const::set_const "Set the value from any type."

%feature("docstring") gnuradio::extras::multiply_const::get_const "Get the constant value as a complex double."



%feature("docstring") gnuradio::extras::multiply_const_v::make_fc32_fc32 "Make a multiply const from type and const value. The length of value is the vector length of this block."















%feature("docstring") gnuradio::extras::multiply_const_v::set_const "Set the value from any vector type."

%feature("docstring") gnuradio::extras::multiply_const_v::get_const "Get the constant value as a vector of complex double."



%feature("docstring") gnuradio::extras::noise_source "random number source"

















%feature("docstring") gnuradio::extras::noise_source::set_waveform "Set the waveform type (UNIFORM, GAUSSIAN, LAPLACIAN, IMPULSE)"

%feature("docstring") gnuradio::extras::noise_source::get_waveform "Get the current waveform setting."

%feature("docstring") gnuradio::extras::noise_source::set_offset "Set the offset, this is a free addition operation."

%feature("docstring") gnuradio::extras::noise_source::get_offset "Get the current offset setting."

%feature("docstring") gnuradio::extras::noise_source::set_amplitude "Set the scalar, this is a free multiply scalar operation."

%feature("docstring") gnuradio::extras::noise_source::get_amplitude "Get the current amplitude setting."

%feature("docstring") gnuradio::extras::noise_source::set_factor "Set the factor, this is used for the IMPULSE waveform."

%feature("docstring") gnuradio::extras::noise_source::get_factor "Get the current factor setting."

%feature("docstring") gnuradio::extras::signal_source "signal generator source"

















%feature("docstring") gnuradio::extras::signal_source::set_waveform "Set the waveform type (CONST, COSINE, RAMP, SQUARE)"

%feature("docstring") gnuradio::extras::signal_source::get_waveform "Get the current waveform setting."

%feature("docstring") gnuradio::extras::signal_source::set_offset "Set the offset, this is a free addition operation."

%feature("docstring") gnuradio::extras::signal_source::get_offset "Get the current offset setting."

%feature("docstring") gnuradio::extras::signal_source::set_amplitude "Set the scalar, this is a free multiply scalar operation."

%feature("docstring") gnuradio::extras::signal_source::get_amplitude "Get the current amplitude setting."

%feature("docstring") gnuradio::extras::signal_source::set_frequency "Set the frequency, this is a fractional number between -1 and 1."

%feature("docstring") gnuradio::extras::signal_source::get_frequency "Get the actual frequency setting (-1 and 1)"

















